MAMP Pro 6.3 Mac破解版

MAMP Pro 6.3 Mac破解版

MAMP Pro是Mac下一款搭建本地服务器环境的软件,在Mac上轻松安装和管理开发环境,有Apache,Nginx,Redis,Memcached,Python,Perl,Ruby,PHP和MySQL,可选高速缓存:APC,eAccelerator,XCache和OPcache。

MAMP Pro内含 Apache 伺服器、PHP 安装套件以及MySQL安装套件。你只要轻松点选就能安装架站/讨论区/论坛必备的元件。透过Web界面稍作设定,在苹果电脑上架设自己专属的网站。

MAMP Pro 界面

MAMP PRO 6包含大量新功能和改进功能,使您作为Web开发人员的工作更加轻松快捷:克隆主机,使用新的PHP 8,创建和使用主机蓝图,为您的日常工作流程使用新的简化的标准视图。 ,从经过大幅度改进的编辑器中受益,或者使用Mailhog轻松测试脚本,而无需配置SMTP。 这些只是MAMP PRO 6中的一些新功能。

更少,但更好
MAMP PRO 6 引入了标准视图。在这里,您将找到您经常需要的所有重要设置。对于有经验的用户,专家视图保存所有可用的设置。

PHP 8支持
利用PHP历史上里程碑版本的PHP 8的许多新功能。

构建一次,经常使用
开发一次复杂的网站或WordPress主题,并将其用作您想要的任意多网站的蓝图。使用插件、主题,您可以命名它,一旦创建和配置,蓝图就是您未来项目的完美起点。

邮件猪-邮箱测试,零配置
没有人只关心复杂的邮件服务器配置来测试。也不应该,因此MAMP PRO 6包括流行的Mailhog。

克隆
你交易的是主人,而不是绵羊(可能)。尽管如此,我们确实教了MAMP PRO克隆艺术。这是尝试不同版本的网站或WordPress主题的最舒适方式。

改进的WordPress支持
经过大幅改进的WordPress支持允许您比以往更快、更可靠地发布和导入网站。当您更改主机的设置(名称、端口、SSL)时,MAMP PRO甚至会保持WordPress安装的完整。

WordPress网站迁移
您想更改托管提供商吗?没问题,只需使用我们的WordPress迁移,轻松将您的网站转移到新的提供商。当然,这在不泄露任何密码的情况下有效。

Apache 2.4
为了匹配您的实时服务器规格,MAMP PRO 6支持最新版本的流行Apache Web服务器。

完全修改编辑器
MAMP PRO内置的编辑器现在基于微软的摩纳哥引擎。它具有差异支持、快速导航的迷你地图、多种选择、代码折叠等。

改进的SSL处理
创建SSL主机时,所有必要的证书都会自动创建。支持 macOS 钥匙串的网页浏览器甚至不会抱怨有效性。

MAMP Pro 6.3版本的更新内容:

MAMP和MAMP PRO
•向PostgreSQL支持库添加了缺少的符号链接
•新组件
◦ngx_http_auth_request_module(Nginx)
•更新的组件
◦MySQL 5.7.32
◦PHP 7.2.34、7.3.24、7.4.12和8.0.0(初始支持)

MAMP PRO
•添加了用于将字符集和排序规则更改为MySQL模板的示例设置
◦#character-set-server = utf8mb4
◦#collation-server = utf8mb4_unicode_ci
•改进了对已更改模板的检测
•修复了Apple Silicon Mac上Dropbox崩溃的问题
•远程功能中更好的错误检测
•改进了WordPress的导入/发布/迁移
•新的“清除DNS缓存”菜单命令可在远程主机的IP地址由于DHCP租约有效期短而更改时恢复其远程可达性

更新组件:
Apache 2.4.46
Nginx 1.19.2
MySQL 5.7.32
PHP 5.4.45, 5.6.40, 7.1.33, 7.2.34, 7.3.24, 7.4.12 & 8.0.0
APC 3.1.13/APCu 4.0.11 & 5.1.19
eAccelerator 0.9.6.1
XCache 1.2.2 & 3.2.0
Xdebug 2.2.7, 2.4.1, 2.5.5, 2.9.8 & 3.0.0
Perl 5.30.1
mod_perl 2.0.11
Python 2.7.13
mod_wsgi 3.5
mod_python 3.5.0
Ruby (with Rails) 2.6.5 (5.2.3)
phpMyAdmin 4.9.7
phpLiteAdmin 1.9.8-2
Freetype 2.6.5
OpenSSL 1.0.2u
t1lib 5.1.2
curl 7.68.0
jpeg 9c
libpng 1.6.37
tiff 4.1.0
Ghostscript 9.20
ImageMagick 6.9.6-2
Imagick 3.1.2 & 3.4.4
gd 2.2.3
zlib 1.2.11
ICU 56.1 (Unicode 8.0)
libxml2 2.9.4
libxslt 1.1.28
gettext 0.20.1
libidn 1.17
iconv 1.16
mcrypt 2.5.8
OAuth 1.2.3 & 2.0.7
YAZ 5.16.0 & PHP/YAZ 1.2.3

系统版本要求:macOS 10.12 或更高。

本文隐藏内容 登录 后才可以浏览。

Subscribe
提醒
guest
0 评论
Inline Feedbacks
View all comments